CC = g++
CFLAGS = -g -fPIC
INCPATH = @GTKMM_CFLAGS@ @GLADE_CFLAGS@ 
LD = g++
LDFLAGS = @GTKMM_LIBS@ @GLADE_LIBS@ 

all: prog

prog: main.o MainWindow.o TestWidget.o TestModel.o EventBox.o GraphWindow.o
	$(LD) $(LDFLAGS) -o $@ $^

main.o: main.cpp
	$(CC) -c $(CFLAGS) $(INCPATH) $^

MainWindow.o: MainWindow.cpp 
	$(CC) -c $(CFLAGS) $(INCPATH) $^

TestWidget.o: TestWidget.cpp
	$(CC) -c $(CFLAGS) $(INCPATH) $^

TestModel.o: TestModel.cpp
	$(CC) -c $(CFLAGS) $(INCPATH) $^

EventBox.o: EventBox.cpp
	$(CC) -c $(CFLAGS) $(INCPATH) $^

GraphWindow.o: GraphWindow.cpp
	$(CC) -c $(CFLAGS) $(INCPATH) $^

clean:
	rm -f prog *.o

install:

uninstall:


